Bug 854577 - APP::Cpan bundled with perl-Test-Harness
APP::Cpan bundled with perl-Test-Harness
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 07:10 EDT by Paul Howarth
Modified: 2012-09-17 18:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: perl-5.16.1-232.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2012-09-05 07:10:43 EDT
The perl-Test-Harness package includes App-Cpan, which is distributed separately upstream and should I think have its own sub-package. This is not a result of  App-Cpan being split out of Test-Harness at some time in the past, but because the globbing in the perl spec file isn't specific enough to include App::Prove but exclude App::Cpan.

The effect of bundling App-Cpan with Test-Harness is quite a large number of additional dependencies.
Comment 1 Petr Pisar 2012-09-05 09:22:33 EDT
I compared files from perl with App-Cpan and with CPAN and both App::Cpan and bin/cpan come from CPAN. So I conclude the only mis-packaged App/Cpan.pm should be moved from perl-Test-Harness to perl-CPAN (both are perl subpackages).
Comment 2 Petr Pisar 2012-09-05 09:25:48 EDT
In other words, there is nothing to go into new perl-App-Cpan subpackage.

(Of course we could split perl-App-Cpan from perl-CPAN to allow dual-lived replacement of App::Cpan from App-Cpan which currently provides the latest bits, but that's different story.)
Comment 3 Paul Howarth 2012-09-05 09:51:45 EDT
I'm happy with App/Cpan.pm moving to perl-CPAN so that perl-Test-Harness doesn't pull in perl-CPAN and all of its dependencies.
Comment 4 Petr Pisar 2012-09-05 10:04:52 EDT
All Fedoras are affected.
Comment 5 Fedora Update System 2012-09-05 11:27:12 EDT
perl-5.14.2-213.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-5.14.2-213.fc17
Comment 6 Fedora Update System 2012-09-05 11:29:33 EDT
perl-5.14.2-199.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.2-199.fc16
Comment 7 Fedora Update System 2012-09-05 11:39:07 EDT
perl-5.16.1-229.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-5.16.1-229.fc18
Comment 8 Fedora Update System 2012-09-07 07:26:15 EDT
Package perl-5.14.2-199.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.14.2-199.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13421/perl-5.14.2-199.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-09-11 12:53:53 EDT
perl-5.14.2-214.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-5.14.2-214.fc17
Comment 10 Fedora Update System 2012-09-11 13:03:30 EDT
perl-5.14.2-200.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.2-200.fc16
Comment 11 Fedora Update System 2012-09-14 08:17:44 EDT
perl-5.14.2-215.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-5.14.2-215.fc17
Comment 12 Fedora Update System 2012-09-14 08:18:58 EDT
perl-5.14.2-201.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.2-201.fc16
Comment 13 Fedora Update System 2012-09-17 18:26:24 EDT
perl-5.16.1-229.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.